`timescale 1ns / 1ps

//******************************************************************************
//* 100 ms timebase. A counter that generates a pulse at every 100 ms.         *
//******************************************************************************
module timebase_100ms(
   input  wire clk,           //16 MHz system clock
   input  wire rst,           //Reset signal
   output wire time_100ms     //100 ms timebase signal
);

//We need a pulse in every 100 ms (10 Hz frequency). A counter can be used
//to generate this signal. Number of states: (16*10^6 Hz)/10 Hz = 1600000.
//If a 21-bit down-counter is used, it counts down from 1599999 to 0.
reg [20:0] cnt;

always @(

//Terminal count signal.
assign time_100ms = 


endmodule
