`timescale 1ns / 1ps

//******************************************************************************
//* 4-bit up-counter with enable. The number of states can be set with the     *
//* STATES partameter.                                                         *
//******************************************************************************
module counter #(
   parameter STATES = 10      //Number of states of the counter
) (
   input  wire       clk,     //System clock
   input  wire       rst,     //Reset signal
   input  wire       en,      //Enable signal
   output reg  [3:0] cnt,     //Counter output
   output wire       cy       //Terminal count masked with the enable signal
);

//Implement the up-counter with the given number of states here. If the reset
//is active, the counter resets to 0. If the counter is enabled and it is in
//its last state (STATES-1), the counter rolls back to 0.
always @(

//Generating the masked terminal count signal.
assign cy = 


endmodule
